com.io7m.jstructural.core

## Class SSectionWithParagraphs

- java.lang.Object
- - com.io7m.jstructural.core.SSection
  - - com.io7m.jstructural.core.SSectionWithParagraphs

-     @Immutable
      public final class SSectionWithParagraphs
      extends SSection

  The type of sections containing paragraphs.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `SNonEmptyList<SSubsectionContent>` | `getSectionContent()`
    `int` | `hashCode()`
    `static SSectionWithParagraphs` | `section(SSectionTitle in_title, SNonEmptyList<SSubsectionContent> in_content)` Create a section with the given title and section content.
    `<S> S` | `sectionAccept(SSectionVisitor<S> v)` Accept a section visitor.
    `static SSectionWithParagraphs` | `sectionID(SID id, SSectionTitle in_title, SNonEmptyList<SSubsectionContent> in_content)` Create a section with the given id, title, and section content.
    `static SSectionWithParagraphs` | `sectionTyped(String type, SSectionTitle in_title, SNonEmptyList<SSubsectionContent> in_content)` Create a section with the given type, title, and section content.
    `static SSectionWithParagraphs` | `sectionTypedID(String type, SID id, SSectionTitle in_title, SNonEmptyList<SSubsectionContent> in_content)` Create a section with the given type, id, title, and section content.
    `static SSectionWithParagraphs` | `sectionWithContents(SSectionTitle in_title, SNonEmptyList<SSubsectionContent> in_content)` Create a section with the given title, section content, and with a table of contents.
    `static SSectionWithParagraphs` | `sectionWithContentsID(SID id, SSectionTitle in_title, SNonEmptyList<SSubsectionContent> in_content)` Create a section with the given id, title, section content, and with a table of contents.
    `static SSectionWithParagraphs` | `sectionWithContentsTyped(String type, SSectionTitle in_title, SNonEmptyList<SSubsectionContent> in_content)` Create a section with the given type, title, section content, and with a table of contents.
    `static SSectionWithParagraphs` | `sectionWithContentsTypedID(String type, SID id, SSectionTitle in_title, SNonEmptyList<SSubsectionContent> in_content)` Create a section with the given type, id, title, section content, and with a table of contents.

    - ### Methods inherited from class com.io7m.jstructural.core.SSection

      `getContents, getID, getTitle, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### section

          public static SSectionWithParagraphs section(SSectionTitle in_title,
                                                       SNonEmptyList<SSubsectionContent> in_content)

      Create a section with the given title and section content.
      Parameters:
        `in_title` - The title
        `in_content` - The section content
      Returns:
        A new section

    - #### sectionID

          public static SSectionWithParagraphs sectionID(SID id,
                                                         SSectionTitle in_title,
                                                         SNonEmptyList<SSubsectionContent> in_content)

      Create a section with the given id, title, and section content.
      Parameters:
        `id` - The ID
        `in_title` - The title
        `in_content` - The section content
      Returns:
        A new section

    - #### sectionTyped

          public static SSectionWithParagraphs sectionTyped(String type,
                                                            SSectionTitle in_title,
                                                            SNonEmptyList<SSubsectionContent> in_content)

      Create a section with the given type, title, and section content.
      Parameters:
        `type` - The type
        `in_title` - The title
        `in_content` - The section content
      Returns:
        A new section

    - #### sectionTypedID

          public static SSectionWithParagraphs sectionTypedID(String type,
                                                              SID id,
                                                              SSectionTitle in_title,
                                                              SNonEmptyList<SSubsectionContent> in_content)

      Create a section with the given type, id, title, and section content.
      Parameters:
        `type` - The type
        `id` - The ID
        `in_title` - The title
        `in_content` - The section content
      Returns:
        A new section

    - #### sectionWithContents

          public static SSectionWithParagraphs sectionWithContents(SSectionTitle in_title,
                                                                   SNonEmptyList<SSubsectionContent> in_content)

      Create a section with the given title, section content, and with a table of contents.
      Parameters:
        `in_title` - The title
        `in_content` - The section content
      Returns:
        A new section

    - #### sectionWithContentsID

          public static SSectionWithParagraphs sectionWithContentsID(SID id,
                                                                     SSectionTitle in_title,
                                                                     SNonEmptyList<SSubsectionContent> in_content)

      Create a section with the given id, title, section content, and with a table of contents.
      Parameters:
        `id` - The ID
        `in_title` - The title
        `in_content` - The section content
      Returns:
        A new section

    - #### sectionWithContentsTyped

          public static SSectionWithParagraphs sectionWithContentsTyped(String type,
                                                                        SSectionTitle in_title,
                                                                        SNonEmptyList<SSubsectionContent> in_content)

      Create a section with the given type, title, section content, and with a table of contents.
      Parameters:
        `type` - The type
        `in_title` - The title
        `in_content` - The section content
      Returns:
        A new section

    - #### sectionWithContentsTypedID

          public static SSectionWithParagraphs sectionWithContentsTypedID(String type,
                                                                          SID id,
                                                                          SSectionTitle in_title,
                                                                          SNonEmptyList<SSubsectionContent> in_content)

      Create a section with the given type, id, title, section content, and with a table of contents.
      Parameters:
        `type` - The type
        `id` - The ID
        `in_title` - The title
        `in_content` - The section content
      Returns:
        A new section

    - #### equals

          public boolean equals(@Nullable
                                Object obj)

      Overrides:
        `equals` in class `SSection`

    - #### getSectionContent

          public SNonEmptyList<SSubsectionContent> getSectionContent()

      Returns:
        The section content

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `SSection`

    - #### sectionAccept

          public <S> S sectionAccept(SSectionVisitor<S> v)
                              throws Exception

      Description copied from class: `SSection`
      Accept a section visitor.
      Specified by:
        `sectionAccept` in class `SSection`
      Type Parameters:
        `S` - The type of transformed `SSection`s
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor
      Throws:
        `Exception` - If the visitor raises an `Exception`

Copyright © 2015 <code@io7m.com> http://io7m.com